﻿<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="Chapter1.aspx.vb" Inherits="SFAnthemAJAXExample.Chapter1" %>

<%@ Register Src="wucSidebar1.ascx" TagName="wucSidebar1" TagPrefix="uc1" %>
<%@ Register Src="wucSidebar2.ascx" TagName="wucSidebar2" TagPrefix="uc2" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head id = "Chapter1" runat="server">
    <meta http-equiv="content-type" content="text/html; charset=utf-8" />
    <title>SF - AJAX Communnity Sample: Introduction</title>
    
    <meta name="keywords" content="" />
    <meta name="description" content="" />

    <link href="CSS/default.css" rel="stylesheet" type="text/css" media="screen" />
    <link href="CSS/SFAJAX.css" rel="stylesheet" type="text/css" media="screen" />

    <script src="Scripts/SFAJAX.js" type="text/javascript" ></script>

    <script type="text/javascript" language="javascript" >
        function getMyTable()
        {
        return '<table><tr><td>R1C1</td><td>R1C2</td><td>R1C3</td></tr><tr><td>R2C1</td><td>R2C2</td><td>R2C3</td></tr><tr><td>R3C1</td><td>R3C2</td><td>R3C3</td></tr><tr><td>R4C1</td><td>R4C2</td><td>R4C3</td></tr></table>';
        }
    </script>
    
</head>
<body>
    <form id="frmChapter1" runat="server">
        <div id="wrapper">
	                <!-- start menu -->
	                <div id="menu">
		                <ul>
			                <li><a href="Default.aspx">Home</a></li>
			                <li><a href="Contact.aspx">Contact</a></li>
		                </ul>
	                </div>
	                <!-- end menu -->
	                <!-- start header -->
	                <div id="header">
		                <div id="logo">
			                <h1><img src="Images/SFHeader.jpg" alt=""/></h1>
			                <p>with 
			                    <span style="color: #990000">
			                    <strong>AJAX</strong>
			                    <br />
                                </span>
                                <br />
                                <span style="font-size: 0.65em">
                                A free sample by Charles T. Blankenship & Anthony Somma
                                </span>
                            </p>
		                </div>
	                </div>
	                <!-- end header -->
	                <!-- start page -->
	                <div id="page">
		                <div id="bgtop"></div>
		                <div id="bgbottom">
			                <!-- start content -->
			                <div id="content" style="width: 695px">
				                <div class="post">
					                <div class="bigpix">
						                <div class="image"><img src="Images/FireFlies.png" alt="" height="250" style="width: 696px" /></div>
						                <p class="caption">
                                            What do I need to make this sample application work?</p>
					                </div>
					                <h1 class="title"><a href="#">Chapter 1: onmouseover() HTML Popups</a></h1>
					                <div class="entry">
						                <strong>One of the things that has been really bugging
                                            me of late is exactly how does NetFlix do that cute mouse over thing with their new releases page.&nbsp; This chapter lays the ground work required to get that job done.<br />
                                            <br />
                                        </strong>
                                        
                                        <h2>netflix new releases</h2>
                                        
                                        <p>
                                            Take a look at what I am talking about by taking a quick jaunt over to
                                            <asp:HyperLink ID="hlkNFNewReleases" runat="server" NavigateUrl="http://www.netflix.com/BrowseSelection"
                                                Target="_blank">NetFlix New Releases</asp:HyperLink>. This is what it looks
                                            like in case you have trouble getting over there.</p>
                                        <p style="text-align: center">
                                            <asp:Image ID="imgNFNRExample" runat="server" ImageUrl="~/Images/NetFlixExample.png" />&nbsp;</p>
        						        
						                <h2>that running - crawling truth</h2>
						                
						                <p>
                                            Yes, it is true, you must learn to crawl before you can run, or even walk.&nbsp;
                                            Same with programming that tricky little devil.&nbsp; However, rest assured that
                                            most of the CSS and JavaScript are already included in this project that can make
                                            this little trick happen so don't fret too much. &nbsp;
                                        </p>
                                        
                                        <p>
                                            First I'll illustrate how to make the tooltip text to appear on any object that
                                            has an onmouseover() javascript event. &nbsp; Then I'll go into more detail as to
                                            how it works.
                                        </p>
                                        
                                        <p>
                                            The first thing you need to do is include the proper external CSS and JavaScript
                                            files in your page.&nbsp; These external files are the only way to achieve excellent
                                            reuse of your JavaScript and CSS coding efforts.
                                        </p>
                                        
                                        <p style="text-align: center">
                                            <asp:Image ID="imgChapter1_1" runat="server" ImageUrl="~/Images/Chapter1_1.png" /></p>
                                        
                                        <p>
                                        Please make sure that the two "link" tags referencing "CSS/default.css" and "CSS/SFAJAX.css" 
                                        and the "script" tag referencing "the Scripts/SFAJAX.js" file are included within the "head"
                                        tag of every page that you want this type of functionality to appear. 
                                        </p>
                                        
                                        <p>
                                        The second and final step is to include a "span" tag around the element you want
                                        the tooltip text to operate and enter the text that you want to appear and disapper
                                        when you mouse over and mouse out of the object.  The following is the actual code
                                        that causes the tool tip text to appear when you mouse over the Introduction menu
                                        item of this site.
                                        </p>
                                        
                                        <p style="text-align: center">
                                            <span class="spantip"
                                                  onmouseover="tooltip('Wow, this is a really long string, you probably do not want something like this being displayed to your users do you?');"
                                                  onmouseout="exit();"> 
                                                <asp:Image ID="imgChapter1_2" runat="server" ImageUrl="~/Images/Chapter1_2.png" />
                                            </span>
                                        </p>   
                                        
                                        <p>
                                        Well, as you probably noticed, this code is powerful enough to wrap that string when it appears
                                        as if it is going to scroll off the form.  However, you can programmatically dictate where
                                        the line breaks occur by using the "br" tag in the text ... like so (mouse over the duplicate
                                        image below and then compare the result to the popup when you mouse over the original image above):
                                        </p>
                                        
                                        <p style="text-align: center">
                                            <span class="spantip"
                                                  onmouseover="tooltip('Wow, this is a really long string, <br /> you probably do not want something like this <br /> being displayed to your users do you?');"
                                                  onmouseout="exit();"> 
                                                <asp:Image ID="imgChapter1_2a" runat="server" ImageUrl="~/Images/Chapter1_2.png" />
                                            </span>
                                        </p> 
                                        
                                        <p>
                                        Here is the very small but significant change required to make that happen
                                        </p>    
                                        
                                        <p style="text-align: center">
                                            <span class="spantip"
                                                  onmouseover="tooltip('Note that the only thing I <br /> had to do was to add the BR tag where I wanted <br /> the line breaks to occur.');"
                                                  onmouseout="exit();"> 
                                                <asp:Image ID="imgChapter1_3" runat="server" ImageUrl="~/Images/Chapter1_3.png" />
                                            </span>
                                        </p> 
                                        
                                        <p>
                                        The really astute amongst you should now be thinking this, "If I can enter a BR tag, what is 
                                        stopping me from entering a TABLE tag or an IMG tag"?  The answer is absolutely nothing, and 
                                        that is the secret to making a really cool popup along the lines of how NetFlix does it.  
                                        Therefore, instead of entering a simple text string to the JavaScript "tooltip()" function
                                        let's enter a simle HTML string for a TABLE with 4 rows and 3 columns and see what happens.
                                        </p> 

                                        <p>
                                        Pass your mouse over the following image of the simple HTML TABLE definition depicted below
                                        and notice that your tooltip text now renders that exact same TABLE.  This is powerful!
                                        </p>

                                        <p style="text-align: center">
                                            <span class="spantip"
                                                  onmouseover="tooltip(getMyTable());"
                                                  onmouseout="exit();"> 
                                                <asp:Image ID="imgChapter1_4" runat="server" ImageUrl="~/Images/Chapter1_4.png" />
                                            </span>
                                        </p> 
                                        
                                        <p>
                                        More importantly, drop into the HTML for this page and notice that the entry for the tooltip()
                                        function for the onmouseover event for the image above is now another JavaScript function.  Examine the header for 
                                        this page and note that I created a JavaScript function named getMyTable() and simply returned
                                        the concatenated HTML for the table definition.  Also note that the browser does not care that
                                        there is no white space available, it simply takes the stream of HTML and does what browsers do 
                                        best, renders it appropriately.
                                        </p>   
                                        
                                        <p style="text-align: center">
                                            <span class="spantip"
                                                  onmouseover="tooltip(getMyTable());"
                                                  onmouseout="exit();"> 
                                                <asp:Image ID="imgChapter1_5" runat="server" ImageUrl="~/Images/Chapter1_5.png" />
                                            </span>
                                        </p> 
                                        
                                        <p>
                                        That's pretty neat ... but it is also kind of awkward.  Wouldn't it be nice to develop a page 
                                        that can be maintained within within Visual Studio though, instead of modifying raw HTML?  
                                        Luckily enough, that is what the raw AJAX function call allows us to do.  On to Chapter 2!
                                        </p>                                                                                                                                                     
                                        
					                </div>
                					
				                </div>
				                
			                </div>
			                <!-- end content -->
			                <!-- start sidebar one -->
			                <!-- end sidebar one -->
			                <!-- start sidebar two -->
			                <uc2:wucSidebar2 ID="WucSidebar2_1" runat="server" />
			                <!-- end sidebar two -->
			                <div style="clear: both;">&nbsp;</div>	
		                </div>
	                </div>
	                <!-- end page -->
	                <hr />
	                <!-- start footer -->
	                <div id="footer">
	                </div>
	                <!-- end footer -->
                </div>
    </form>
</body>
</html>
