﻿<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="Chapter2.aspx.vb" Inherits="SFAnthemAJAXExample.Chapter2" %>

<%@ Register Src="wucSidebar1.ascx" TagName="wucSidebar1" TagPrefix="uc1" %>
<%@ Register Src="wucSidebar2.ascx" TagName="wucSidebar2" TagPrefix="uc2" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">

<head id="Chapter2" runat="server">
    <meta http-equiv="content-type" content="text/html; charset=utf-8" />
    <title>SF - AJAX Communnity Sample: Chapter 2</title>
    <meta name="keywords" content="" />
    <meta name="description" content="" />

    <link href="CSS/default.css" rel="stylesheet" type="text/css" media="screen" />
    <link href="CSS/SFAJAX.css" rel="stylesheet" type="text/css" media="screen" />

    <script src="Scripts/SFAJAX.js" type="text/javascript" ></script>

    
    <script type="text/javascript" language="javascript" >
        
        function bodyLoad()
            {
                document.getElementById("txtCustomerID").focus();
            }
            
        function getCustomerInformation()
            {
                var url;
                var cust_pk = document.getElementById("txtCustomerID").value;
                if (cust_pk != "")
                {
                    url = "AJAXCustomerInfoPopup.aspx?cust_pk=" + cust_pk;
                    return ajaxToolTip(url);
                }
            }
        
        
    </script>
    
</head>

<body onload="bodyLoad()">
    <form id="frmChapterTwo" runat="server">
    
        <span id="AjaxMessage"></span>
        
        <div id="wrapper">
	                <!-- start menu -->
	                <div id="menu">
		                <ul>
			                <li><a href="Default.aspx">Home</a></li>
			                <li><a href="Contact.aspx">Contact</a></li>
		                </ul>
	                </div>
	                <!-- end menu -->
	                <!-- start header -->
	                <div id="header">
		                <div id="logo">
			                <h1><img src="Images/SFHeader.jpg" alt=""/></h1>
			                <p>with 
			                    <span style="color: #990000">
			                    <strong>AJAX</strong>
			                    <br />
                                </span>
                                <br />
                                <span style="font-size: 0.65em">
                                A free sample by Charles T. Blankenship & Anthony Somma
                                </span>
                            </p>
		                </div>
	                </div>
	                <!-- end header -->
	                <!-- start page -->
	                <div id="page">
		                <div id="bgtop"></div>
		                <div id="bgbottom">
			                <!-- start content -->
			                <div id="content" style="width: 695px">
				                <div class="post">
					                <div class="bigpix">
						                <div class="image"><img src="Images/FireFlies.png" alt="" height="250" style="width: 695px" /></div>
						                <p class="caption">
                                            What do I have to do to make my popups easily maintainable and data driven?</p>
					                </div>
					                <h1 class="title"><a href="#">Chapter 2: HTML Popups driven by AJAX</a></h1>
					                <div class="entry">
						                <strong>Continuing on with the thoughts from Chapter 1, let's use the raw Ajax call (XmlHttpRequest object) to 
						                        get some data from the StrataFrame Sample database and show that information 
						                        when you mouse over an image.&nbsp; The big benefit to this
                                            approach is that the HTML that drives the popup is a separate page with it's own
                                            codebehind page (AJAXCustomerInfoPopup.aspx).&nbsp; Having this separate page vice
                                            a string of HTML concatenated together with a String Builder object makes maintenance
                                            of a site with this functionality much, much easier.&nbsp; Notice that we have NOT
                                            started using the Anthem framework yet, that is for Chapter 3.<br />
                                            <br />
                                        </strong>
                                        
                                        <h2>illustration</h2>
                                        
                                        <p>
                                        The following illustrates the desired functionality.  First, without doing anything,
                                        mouse over the image of the people and notice that nothing happens.  Next, enter a 
                                        number in the text box from 1 to 19614 (the range of primary keys from the dbo.Customers
                                        table in the StrataFrame Sample database), <i>then</i> mouse over the image of the people ... 
                                        <b><i>that</i></b> is the functionality I desired to have in my web development toolbox.
                                        </p>
                                        
                                        <p>
                                        Notice that I didn't go into alot of effort to format the table with images and colors
                                        and CSS styles, etc.  You can trick the table out until your heart is content.  My job
                                        is to get your designers to where they can work their magic (a graphics artist I most
                                        certainly am not).
                                        </p>
                                            
                                            <table border="0" cellpadding="0" cellspacing="0" style="padding-right: 3px; padding-left: 3px; padding-bottom: 3px; width: 610px; padding-top: 3px">
                                                <tr>
                                                    <td style="width: 200px; padding-right: 5px; padding-left: 5px; padding-bottom: 5px; padding-top: 5px;">
                                            Enter Customer ID (1 - 19614):</td>
                                                    <td style="width: 75px; padding-right: 5px; padding-left: 5px; padding-bottom: 5px; padding-top: 5px;">
                                                        <asp:TextBox ID="txtCustomerID" 
                                                                     runat="server" 
                                                                     Width="64px">
                                                        </asp:TextBox></td>
                                                    <td style="padding-right: 5px; padding-left: 5px; padding-bottom: 5px; padding-top: 5px">
                                                        <asp:Image ID="imgShowCustomerInformation" 
                                                                   runat="server" 
                                                                   ImageUrl="~/Images/Customers.png" 
                                                                   onmouseover="getCustomerInformation()"
                                                                   onmouseout="exit()"/>
                                                                    
                                                    </td>
                                                    <td>
                                                    </td>
                                                </tr>
                                            </table>

                                         <p>
                                            
                                        </p>
                                        
					                </div>
                					
				                </div>
				                
			                </div>

			                <!-- end content -->
			                <!-- start sidebar one -->
			                <!-- end sidebar one -->
			                <!-- start sidebar two -->
        			        <uc2:wucSidebar2 ID="WucSidebar2_1" runat="server" />
			                <div style="clear: both;">&nbsp;</div>	
			                <!-- end sidebar two -->
		                </div>
	                </div>
	                <!-- end page -->
	                <hr />
	                <!-- start footer -->
	                <div id="footer">
	                </div>
	                <!-- end footer -->
                </div>
    </form>
</body>
</html>
