﻿<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="Chapter5.aspx.vb" Inherits="SFAnthemAJAXExample.Chapter5" %>

<%@ Register Src="wucSidebar1.ascx" TagName="wucSidebar1" TagPrefix="uc1" %>
<%@ Register Src="wucSidebar2.ascx" TagName="wucSidebar2" TagPrefix="uc2" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">

<head id="Chapter5" runat="server">
    <meta http-equiv="content-type" content="text/html; charset=utf-8" />
    <title>SF - AJAX Communnity Sample: Chapter 5</title>

    <meta name="keywords" content="" />
    <meta name="description" content="" />

    <link href="CSS/default.css" rel="stylesheet" type="text/css" media="screen" />
    <link href="CSS/SFAJAX.css" rel="stylesheet" type="text/css" media="screen" />

    <script src="Scripts/SFAJAX.js" type="text/javascript" ></script>
    <script type="text/javascript" language="javascript" >
        
        function bodyLoad()
        {
            HideControl("divNetFlix");
            HideControl("imgNetFlixRefreshing");
        }

        function LoadNetFlixNewReleases() 
        {
            var NetFlixURL = document.getElementById("txtNetflixURL");
            HideControl("imgRefreshNewReleases")
            ShowControl("imgNetFlixRefreshing")
            Anthem_InvokePageMethod('GetNetflixNewReleases',[NetFlixURL.value], ProcessNetFlixNewReleases);
        }

        function ProcessNetFlixNewReleases( NewReleases )
        {
            ClearResults("divNetFlix");
            ShowControl("divNetFlix");
            ShowControl("imgRefreshNewReleases");

            if(typeof(NewReleases.message) == 'string')
            {
                var currenttext = NewReleases.message;
                tablerow = document.createElement("tr");
                tablecell = document.createElement("td");
                tablenode = document.createTextNode(currenttext);
                tablecell.appendChild(tablenode);
                tablerow.appendChild(tablecell);
                tablebody.appendChild(tablerow);                    
                tblTable.appendChild(tablebody);
                divResults.appendChild(tblTable);
                return;	
            }

            var items = NewReleases.value;
            var count = items.Rows.length;
            
            var divResults = document.getElementById("divNetFlix");
            var tblTable = document.createElement("table");
            var tablebody = document.createElement("tbody");
            var tablerow, tablecell, tablecell2, NFTitleText, tablenode2;

            if (count == 0)
                {
                    var currenttext = "No new NetFlix titles available";
                    tablerow = document.createElement("tr");
                    tablecell = document.createElement("td");
                    tablenode = document.createTextNode(currenttext);
                    tablecell.appendChild(tablenode);
                    tablerow.appendChild(tablecell);
                    tablebody.appendChild(tablerow);                    
                    tblTable.appendChild(tablebody);
                    divResults.appendChild(tblTable);	
                }
            else
                {
                    for ( var i = 0; i < count; i++)
                        {
                          
                            tablerow = document.createElement("tr");
                            
                            tablecell = document.createElement("td");                            
                            tablecell.onmouseover = function(){this.className='mouseOver';};
                            tablecell.onmouseout = function(){this.className='mouseOut';};
                            tablecell.className = "NFTitleCell";
                                                     
                            tablecell2 = document.createElement("td");
                            tablecell2.className = "NFDescriptionCell";

                            /*
                            ------------------------------------------------------
                            Use this version of the code to enter a boring link
                            instead of using the A tag that comes from NetFlix
                            to generate an already hyperlinked picture
                            ------------------------------------------------------
                            var NFTitle = items.Rows[i].nf_title;                            
                            NFTitleText = document.createTextNode(NFTitle);
                            var titleLink = document.createElement('a')
                            titleLink.setAttribute('href',items.Rows[i].nf_link);
                            titleLink.appendChild(NFTitleText)
                            tablecell.appendChild(titleLink);
                            ------------------------------------------------------
                            */
                            
                            
                            /*
                            --------------------------------------------------------
                            The one line of code creates the hyperlinked picture.
                            You will find that the innerHTML tag will shortly become
                            your best friend.
                            --------------------------------------------------------
                            */
                            tablecell.innerHTML = items.Rows[i].nf_atag
                            
                            tablerow.appendChild(tablecell);
                            
                            var cell2Text = items.Rows[i].nf_description;                            
                            tablenode2 = document.createTextNode(cell2Text);
                            tablecell2.appendChild(tablenode2);
                            tablerow.appendChild(tablecell2);
                            
                            tablebody.appendChild(tablerow);
                        }
                        
                        tblTable.appendChild(tablebody);
                        divResults.appendChild(tblTable);	
                }
                   
                HideControl("imgNetFlixRefreshing");
        }
                                
    </script>
    
</head>

<body onload="bodyLoad()">

    <form id="frmChapterFive" runat="server">
    
        <span id="AjaxMessage"></span>
        
        <div id="wrapper">
	                <!-- start menu -->
	                <div id="menu">
		                <ul>
			                <li><a href="Default.aspx">Home</a></li>
			                <li><a href="Contact.aspx">Contact</a></li>
		                </ul>
	                </div>
	                <!-- end menu -->
	                <!-- start header -->
	                <div id="header">
		                <div id="logo">
			                <h1><img src="Images/SFHeader.jpg" alt=""/></h1>
			                <p>with 
			                    <span style="color: #990000">
			                    <strong>AJAX</strong>
			                    <br />
                                </span>
                                <br />
                                <span style="font-size: 0.65em">
                                A free sample by Charles T. Blankenship & Anthony Somma
                                </span>
                            </p>
		                </div>
	                </div>
	                <!-- end header -->
	                <!-- start page -->
	                <div id="page">
		                <div id="bgtop"></div>
		                <div id="bgbottom">
			                <!-- start content -->
			                <div id="content" style="width: 695px">
				                <div class="post">
					                <div class="bigpix">
						                <div class="image"><img src="Images/FireFlies.png" alt="" height="250" style="width: 695px" /></div>
						                <p class="caption">
                                            What is this Anthem thing and why is it important?</p>
					                </div>
					                <h1 class="title"><a href="#">Chapter 5: An RSS, SF and AJAX Example</a></h1>
					                <div class="entry">

						                <strong>.
						                <br />                                        
                                        <br />
                                        </strong>
                                        
                                        <h2>
                                        </h2>
                                        <strong style="font-family: Arial"></strong>
                                        <h2>
                                            illustration</h2>
                                        <strong style="font-family: Arial"></strong>

                                        <table border="0" 
                                               cellpadding="0" 
                                               cellspacing="0" 
                                               style="padding-right: 5px; padding-left: 5px; padding-bottom: 5px; width: 254px; padding-top: 5px; height: 25px">
                                            <tr>
                                                <td colspan="3" style="font-weight: bold; font-size: 14px; color: #00008b; border-bottom: black 1px dotted;
                                                    font-family: Arial; height: 20px; background-color: #E0EDF6">
                                                    <table border="0" cellpadding="0" cellspacing="0">
                                                        <tr>
                                                            <td style="width: 200px">
                                                                Netflix Existing Titles</td>
                                                            <td style="width: 100px; font-size: 10px; color: black; font-family: Arial; padding-right: 3px; padding-left: 3px; padding-bottom: 3px; padding-top: 3px;">
                                                                Begins With:</td>
                                                            <td style="width: 100px; font-size: 10px; color: black; font-family: Arial; padding-right: 3px; padding-left: 3px; padding-bottom: 3px; padding-top: 3px;">
                                                                Start Date:</td>
                                                            <td style="width: 100px; font-size: 10px; color: black; font-family: Arial; padding-right: 3px; padding-left: 3px; padding-bottom: 3px; padding-top: 3px;">
                                                                End Date:</td>
                                                            <td style="width: 25px; font-weight: bold; font-size: 10px; color: #000000; font-family: Arial">
                                                                <SFWeb:Image ID="cmdGetExisting" 
                                                                     runat="server" 
                                                                     ImageUrl="~/Images/Refresh.png"
                                                                     ToolTip="Get existing NetFlix titles" /></td>
                                                            <td style="width: 100px; font-weight: bold; font-size: 10px; color: #000000; font-family: Arial"><SFWeb:Image ID="imgExistingTitlesRefreshing" 
                                                                 runat="server" 
                                                                 ImageUrl="~/Images/loadingbar1.gif"
                                                                 ToolTip="Refresh new releases from NetFlix" Visible="False" /></td>
                                                        </tr>
                                                        <tr>
                                                            <td style="width: 100px">
                                                            </td>
                                                            <td style="width: 100px; padding-right: 3px; padding-left: 3px; font-size: 10px; padding-bottom: 3px; color: black; padding-top: 3px; font-family: Arial;">
                                                                <select id="ddlLetter" style="width: 45px">
                                                                    <option value="" selected="selected"></option>
                                                                    <option value="A">A</option>
                                                                    <option value="B">B</option>
                                                                    <option value="C">C</option>
                                                                    <option value="D">D</option>
                                                                    <option value="E">E</option>
                                                                    <option value="F">F</option>
                                                                    <option value="G">G</option>
                                                                    <option value="H">H</option>
                                                                    <option value="I">I</option>
                                                                    <option value="J">J</option>
                                                                    <option value="K">K</option>
                                                                    <option value="L">L</option>
                                                                    <option value="M">M</option>
                                                                    <option value="N">N</option>
                                                                    <option value="O">O</option>
                                                                    <option value="P">P</option>
                                                                    <option value="Q">Q</option>
                                                                    <option value="R">R</option>
                                                                    <option value="S">S</option>
                                                                    <option value="T">T</option>
                                                                    <option value="U">U</option>
                                                                    <option value="V">V</option>
                                                                    <option value="W">W</option>
                                                                    <option value="X">X</option>
                                                                    <option value="Y">Y</option>
                                                                    <option value="Z">Z</option>
                                                                    <option value="1">1</option>
                                                                    <option value="2">2</option>
                                                                    <option value="3">3</option>
                                                                    <option value="4">4</option>
                                                                    <option value="5">5</option>
                                                                    <option value="6">6</option>
                                                                    <option value="7">7</option>
                                                                    <option value="8">8</option>
                                                                    <option value="9">9</option>
                                                                    <option value="0">0</option>
                                                                </select>
                                                            </td>
                                                            <td style="width: 100px; padding-right: 3px; padding-left: 3px; font-size: 10px; padding-bottom: 3px; color: black; padding-top: 3px; font-family: Arial;">
                                                                <asp:TextBox ID="txtStartDate" runat="server" Width="65px"></asp:TextBox></td>
                                                            <td style="width: 100px; padding-right: 3px; padding-left: 3px; font-size: 10px; padding-bottom: 3px; color: black; padding-top: 3px; font-family: Arial;">
                                                                <asp:TextBox ID="txtEndDate" runat="server" Width="65px"></asp:TextBox></td>
                                                            <td style="width: 25px">
                                                            </td>
                                                            <td style="width: 100px">
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td colspan="3" 
                                                    style="font-weight: bold; font-size: 14px; color: #00008b; border-bottom: black 1px dotted; font-family: Arial; height: 20px; background-color: #E0EDF6">
                                                    <table border="0" cellpadding="0" cellspacing="0">
                                                        <tr>
                                                            <td style="width: 160px">
                                                    Netflix New Releases</td>
                                                            <td style="width: 25px">
                                                    <SFWeb:Image ID="imgRefreshNewReleases" 
                                                                 runat="server" 
                                                                 ImageUrl="~/Images/Refresh.png"
                                                                 ToolTip="Refresh new releases from NetFlix" /></td>
                                                            <td align="right" valign="middle"><SFWeb:Image ID="imgNetFlixRefreshing" 
                                                                 runat="server" 
                                                                 ImageUrl="~/Images/loadingbar1.gif"
                                                                 ToolTip="Refresh new releases from NetFlix" />
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td style="height: 34px" colspan="3">
                                                    &nbsp;
                                                    <SFWeb:TextBox ID="txtNetflixURL" 
                                                                   runat="server" 
                                                                   Width="655px" 
                                                                   Font-Names="Courier New">http://www.netflix.com/NewReleasesRSS
                                                    </SFWeb:TextBox></td>
                                            </tr>
                                            <tr>
                                                <td colspan="3">
                                                    <div id="divNetFlix" 
                                                         class="box" 
                                                         style="font-size: 12px; width: 100%; font-family: Arial; height: 100%; background-color: #e0edf6; text-align: left">
                                                    </div>
                                                </td>
                                            </tr>
                                        </table>
                                    </div>
                					
				                </div>
				                
			                </div>
			                <!-- end content -->
			                <!-- start sidebar one -->
			                <!-- end sidebar one -->
			                <!-- start sidebar two -->
        			         <uc2:wucSidebar2 ID="WucSidebar2_1" runat="server" />
			                <!-- end sidebar two -->
			                <div style="clear: both;">&nbsp;</div>
		                </div>
	                </div>
	                <!-- end page -->
	                <hr />
	                <!-- start footer -->
	                <div id="footer">
	                </div>
	                <!-- end footer -->
                </div>
    </form>
</body>
</html>

