﻿<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="Chapter7Map.aspx.vb" Inherits="SFAnthemAJAXExample.Chapter7Map" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >

<head id = "Chapter7" runat="server">

    <meta http-equiv="content-type" content="text/html; charset=utf-8" />
    <title>SF - AJAX Communnity Sample: A Microsft VE Mapping Example</title>

    <meta name="keywords" content="" />
    <meta name="description" content="" />

    <link href="CSS/SFAJAX.css" rel="stylesheet" type="text/css" media="screen" />
    <link href="CSS/SFAJAX.css" media="screen" rel="stylesheet" type="text/css" />
    <link href="http://dev.virtualearth.net/standard/v2/MapControl.css" type="text/css" rel="stylesheet" />

    <script src="Scripts/SFAJAX.js" type="text/javascript" ></script>
    <script src="http://dev.virtualearth.net/standard/v2/MapControl.js" type="text/javascript"></script>
    <script type="text/javascript" src="http://dev.virtualearth.net/mapcontrol/mapcontrol.ashx?v=6"></script>
    <script type="text/javascript" language="javascript" >

    function popup(title, text, latit, longit)
        {

           text = unescape(text);
           title = unescape(title);
           title = "<strong>" + title + "</strong><br>";
           
           var popHTML  = "<table class='yahooMapPopup'><tr><td class='yahooMapPopupTitle'><strong>" + title + "</strong></td></tr>" ;
               popHTML += "<tr><td class='yahooMapPopupMessage'>" + text + "</td></tr>" ; 
               popHTML += "</table>" ;

            var left = map.GetX(longit);
            var top = map.GetY(latit);
            popupStyle.left = left + offX;
            popupStyle.top = top + offY;
            
           if(ns4)
           {
             popupStyle.document.write(popHTML);
             popupStyle.document.close();
             popupStyle.visibility="visible"
           }
           
           if(ns6)
           {
             document.getElementById("popup").innerHTML=popHTML;
             popupStyle.display='';
           }
           
           if(ie4)
           {
             document.getElementById("popup").innerHTML=popHTML;
             popupStyle.display='';
           }
        }

    function closePopup()
        {
            
          varY=-999;
          
          if(ns4)
          {
            popupStyle.visibility="hidden";
          }
          else if (ns6||ie4)
          {
            popupStyle.display="none";
          }
        }

    function bodyLoad()
        {
            initializeMap();
        }
        
    function initializeMap()
        {
            /* 
            -------------------------------------------
            LATITUDE AND LONGITUDE have been hard coded 
            -------------------------------------------
            */
		    var params = new Object();
		    params.latitude = 34.00;
		    params.longitude = -118.10;
		    
		    params.zoomlevel = 10;
		    params.mapstyle = Msn.VE.MapStyle.Road;
		    params.showScaleBar = false;
		    params.showDashboard = true;
		    params.dashboardSize = Msn.VE.DashboardSize.Normal;
		    params.dashboardX = 5;
		    params.dashboardY = 5;
		    map = new Msn.VE.MapControl(document.getElementById("myMap"),params);
		    map.Init();
		    PopulateMap();

        }

    function PopulateMap() 
        {
            /* 
            ---------------------------
            ZIPCODE has been hard coded 
            ---------------------------
            */
	        var zip = "90210";
	        var mapmiles=5;
	        var mapseverity = 0;
    	    		 
	        Anthem_InvokePageMethod('PopulateMap',[zip, mapmiles, mapseverity] , CallBack);
    	    				
        }	
        
    function CallBack(result) 
        {

            var table=result.value;	
            var title='';
            var description= '';
            var severity='';
            
            var popstr="";
            var newPushpin = null;
            var categry = '';
            
            for(var i=0;i<table.Rows.length;i++)
            {
		        description = table.Rows[i].description ;
		        description = replaceAll(description, ",", "<br>");
		        severity= table.Rows[i].severity;
		        title=table.Rows[i].title;
		        category = table.Rows[i].category;
	            severity = severity.replace(/^\s*|\s*$/g,"");
		        category = category.replace(/^\s*|\s*$/g,"");
    			        
			    description = escape(description);
			    title = escape(title);
			    
		        switch(category)
			        {case "Construction":
			            
			            var message = '<div><img src="Images/dude.gif"';
			            message +=  'onmouseover="popup(\'' + title + '\',\''
			            message += description + '\','+  table.Rows[i].latitude 
			            message += ', ' + table.Rows[i].longitude 
			            message += ')"; onmouseout="closePopup()"; />';
			            message += '</div>';
			            map.AddPushpin('pin' + i, table.Rows[i].latitude, table.Rows[i].longitude, 20, 20, 'pinConstruction', message);
				        break;
				        
			        case "Incident":
				        switch(severity)
				        {
					        case "Minor":

			                    var message = '<div><img src="Images/minor.gif"';
			                    message +=  'onmouseover="popup(\'' + title + '\',\''
			                    message += description + '\','+  table.Rows[i].latitude 
			                    message += ', ' + table.Rows[i].longitude 
			                    message += ')"; onmouseout="closePopup()"; />';
			                    message += '</div>';

					            map.AddPushpin('pin' + i, table.Rows[i].latitude, table.Rows[i].longitude, 88, 34, 'pinMinor', message);
						        break;
        					
					        case "Moderate":

			                    var message = '<div><img src="Images/moderate.gif"';
			                    message +=  'onmouseover="popup(\'' + title + '\',\''
			                    message += description + '\','+  table.Rows[i].latitude 
			                    message += ', ' + table.Rows[i].longitude 
			                    message += ')"; onmouseout="closePopup()"; />';
			                    message += '</div>';
    					    
    					        map.AddPushpin('pin' + i, table.Rows[i].latitude, table.Rows[i].longitude, 88, 34, 'pinModerate', message);
				    	        break;
				    	        
					        case "Major":
    					    
			                    var message = '<div><img src="Images/major.gif"';
			                    message +=  'onmouseover="popup(\'' + title + '\',\''
			                    message += description + '\','+  table.Rows[i].latitude 
			                    message += ', ' + table.Rows[i].longitude 
			                    message += ')"; onmouseout="closePopup()"; />';
			                    message += '</div>';

					            map.AddPushpin('pin' + i, table.Rows[i].latitude, table.Rows[i].longitude, 88, 34, 'pinMajor', message);
						        break;
				        }
			        }
             }    
        }
    function replaceAll( str, from, to )
        {
            var newindex = str.indexOf( from );
            while ( newindex > -1 ) 
            {
                str = str.replace( from, to ); 
                newindex = str.indexOf( from );
            }
            return str;
        }        
    </script>
    
</head>
<body onload="bodyLoad()">
    <form id="frmChapterSeven" runat="server">
       <div id="myMap" class="MSVEMap"></div>
       <div id="popup"></div>                                        
    </form>
    
    <script type="text/javascript" language="javascript" >

        offX=-20;
        offY= 15;
        var popupStyle;
        var varY=-999;
        // browser check variables
        var ns4=document.layers;
        var ns6=document.getElementById&&!document.all;
        var ie4=document.all;
        var iex=(document.all);

        if (ns4)
        {
          popupStyle=document.popup;
        }
        else if (ns6)
        {
          popupStyle=document.getElementById("popup").style;
        }
        else if (ie4)
        {
          popupStyle=document.all.popup.style;
        }

        if(ns4)
        {
          document.captureEvents(Event.MOUSEMOVE);
        }
        else
        {
          popupStyle.visibility="visible";
          popupStyle.display="none";
        }
    </script>
    
</body>
</html>

<script type="text/javascript" language="javascript" >

    offX=-20;
    offY= 15;
    var popupStyle;
    var varY=-999;
    // browser check variables
    var ns4=document.layers;
    var ns6=document.getElementById&&!document.all;
    var ie4=document.all;
    var iex=(document.all);

    if (ns4)
    {
        popupStyle=document.popup;
    }
    else if (ns6)
    {
        popupStyle=document.getElementById("popup").style;
    }
    else if (ie4)
    {
        popupStyle=document.all.popup.style;
    }

    if(ns4)
    {
        document.captureEvents(Event.MOUSEMOVE);
    }
    else
    {
        popupStyle.visibility="visible";
        popupStyle.display="none";
    }
</script>
    