﻿<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml2/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title> Stu Nicholls | CSSplay | Mapping the British Isles</title>
<meta name="Author" content="Stu Nicholls" />
<meta name="Keywords" content="cssplay, css, play, Cascading, Style, Sheets, opacity, layouts, navigation, menus, experiments,demonstrations, photo, photograph, gallery, slide, slideshow, picture, drop, down, pull, up, fly, out, free" />
<meta name="Description" content="CSS - Cutting edge Cascading Style Sheets. Experiments in CSS" />
<meta name="verify-v1" content="n3Dpx4NklZjg5p/Tq7h1q+Oj6Ml83crtkO/PwepVQ6Y=" />
<meta http-equiv="imagetoolbar" content="no" />
<link rel="meta" href="http://www.cssplay.co.uk/labels.rdf" type="application/rdf+xml" title="ICRA labels" />
<meta http-equiv="pics-Label" content='(pics-1.1 "http://www.icra.org/pics/vocabularyv03/" l gen true for "http://cssplay.co.uk" r (n 0 s 0 v 0 l 0 oa 0 ob 0 oc 0 od 0 oe 0 of 0 og 0 oh 0 c 0)  gen true for "http://www.cssplay.co.uk" r (n 0 s 0 v 0 l 0 oa 0 ob 0 oc 0 od 0 oe 0 of 0 og 0 oh 0 c 0))' />
<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="http://www.cssplay.co.uk/feed.xml" />
<link rel="shortcut icon" href="../favicon.ico" type="image/x-icon" />
<link rel="icon" href="../favicon.ico" type="image/ico" />
<link rel="stylesheet" media="all" type="text/css" href="../css/css_play.css" />
<link rel="stylesheet" media="all" type="text/css" href="../css/demos.css" />

<style type="text/css">

/* setup the background image of the British Isles */
.uk {padding:0; margin:0; list-style-type:none; background:#fff url(../graphics/britain.gif); width:300px; height:350px; margin:50px 225px 100px 225px; position:relative; z-index:100;}
/* move the text off screen */
.uk li a {text-indent:-999px; display:block; width:8px; height:8px; background:#000; position:absolute; line-height:8px;}
/* make the images and description invisible and an absolute position so that it does not take up any space */
.uk li a em {visibility:hidden; position:absolute;}
/* position the square markers */
.uk li a.bs {top:288px; left:190px;}
.uk li a.ln {top:280px; left:240px;}
.uk li a.sw {top:282px; left:162px;}
.uk li a.nt {top:235px; left:210px;}
.uk li a.gl {top:130px; left:148px;}
.uk li a.bf {top:172px; left:112px;}
.uk li a.du {top:220px; left:105px;}
/* move the text back into view on hover */
.uk li a:hover {background:#600; text-indent:0; height:1.2em; font-size:1em; color:#fff; line-height:1em; padding:2px 10px; width:90px;}
/* hack for IE5.x */
* html .uk li a:hover {width:110px; height:1.5em; width:90px; height:1.2em;}
/* make the descriptive text visible, give it a size and position */
.uk li a:hover em {visibility:visible; margin-left:5px; background:#fff; border:1px solid #600; width:150px; color:#600; padding:25px;font-style:normal; top:-135px; font-family:tahoma, geneva, "lucida sans unicode", "lucida grande", arial, sans-serif; letter-spacing:1px; line-height:1.5em;}
/* hack for IE5.x */
* html .uk li a:hover em {width:200px; width:150px;}
/* give the image a border and margin */
.uk li a:hover em img {border:1px solid #000; display:block; margin-bottom:10px;}
/* style the empty span (I know it's not semantically correct) into an arrow point */
.uk li a:hover em span {display:block; width:0; height:0; overflow:hidden; border:15px solid #fff; border-width:15px 0 15px 15px; border-left-color:#600; position:absolute; left:0; top:128px;}
/* hack for IE5.x */
* html .uk li a:hover em span {width:30px; height:30px; width:0; height:0;}


</style>


</head>

<body id="www-cssplay-co-uk">
	<div id="wrapper">
	<a href="#content" class="hiddenfromview" accesskey="X" title="skip to content">skip to content</a>
		<div id="header">
		<div id="logo">
		
			<h1><a accesskey="1" href="../index" title="Home Page">CSS</a></h1>
			<h2><a accesskey="1" href="../index" title="Home Page"><i>p</i>lay</a></h2>
			<h3>Experiments with Cascading Style Sheets</h3>

			</div> <!-- end of logo -->
			<div id="toplink">
			<ul>
			<li><a accesskey="Q" href="../faqs" title="Frequently Asked Questions">FAQs</a></li>
			<li><a accesskey="N" href="../w3c/contact" title="Contact us">CONTACT ME</a></li><li><a accesskey="V" href="../w3c/privacy" title="Privacy Policy">PRIVACY POLICY</a></li>			<li><a accesskey="R" href="http://www.cssplay.co.uk/feed.xml" title="RSS2.0 feed">RSS 2.0</a></li>
			<li><a accesskey="S" href="../sitemap" title="Site map">SITE MAP</a></li>
			<li><a accesskey="K" href="../accesskeys" title="Accesskeys">ACCESSKEYS</a></li>
			<li><a accesskey="P" href="../support" title="Support">SUPPORT</a></li>
			</ul>
			</div>
			<div id="midlink">
			<ul id="main_menu">
			<li><a class="chosen" accesskey="T" href="../menu/">Demos</a></li><li><a accesskey="M" href="../menus/">Menus</a></li><li><a accesskey="Y" href="../layouts/">Layouts</a></li><li><a accesskey="B" href="../boxes/">Boxes</a></li><li><a accesskey="Z" href="../mozilla/">Mozilla</a></li><li><a accesskey="E" href="../ie/">Explorer</a></li><li><a accesskey="O" href="../opacity/">Opacity</a></li>			</ul>
			</div>
			<div id="botlink">
			<ul id="sub_menu">

			<li><a accesskey="H" href="../index">HOME</a></li>
			<li><a href="index.html" accesskey="F" title="First - Section List">LIST</a></li><li><a href="filing.html" accesskey="P" title="Previous">PREVIOUS</a></li><li><a href="balloons.html" accesskey="N" title="Next">NEXT</a></li><li><a href="conditional.html" accesskey="L" title="Last">LAST</a></li>			<li><a href="http://www.cssplay.co.uk/comments/comments.php?comment_id=mapping britain"  accesskey="C" title="Comments for this page">COMMENTS</a></li>
			<li>TUTORIAL</li>			</ul>
			</div> <!-- end of botlink -->
		<div id="search">
		<form id="seek" method="get" action="http://www.google.co.uk/custom">
		<p><label id="formlab" title="Search" for="searchtext">&nbsp;</label><br />
		<a href="http://www.google.com/">
		<img src="http://www.google.com/logos/Logo_25wht.gif" alt="Google" title="Google" width="75" height="32" /></a>

		<input type="hidden" name="domains" value="www.cssplay.co.uk" />
		<input tabindex="27" id="searchtext" alt="Search Text" type="text" name="q" size="25" maxlength="255" value=" enter search text" />
		<input tabindex="28" type="submit" name="sa" value="Find" />
		<br />
		<input type="radio" tabindex="29" alt="sitesearch" name="sitesearch" id="sitesearch" value="www.cssplay.co.uk" checked="checked" />
		<label for="sitesearch">CSSplay</label>
		<input type="radio" tabindex="30" alt="websearch" name="sitesearch" id="websearch" value="" />
		<label for="websearch">The Web</label>
		<input type="hidden" name="client" value="pub-6651950180071236" />
		<input type="hidden" name="forid" value="1" />
		<input type="hidden" name="ie" value="UTF-8" />
		<input type="hidden" name="oe" value="UTF-8" />
		<input type="hidden" name="safe" value="active" />
		<input type="hidden" name="cof" value="GALT:#008000;GL:1;DIV:#336699;VLC:663399;AH:center;BGC:FFFFFF;LBGC:336699;ALC:0000FF;LC:0000FF;T:000000;GFNT:0000FF;GIMP:0000FF;LH:100;LW:100;L:http://www.cssplay.co.uk/google_play.gif;S:http://www.cssplay.co.uk;LP:1;FORID:1;" />
		<input type="hidden" name="hl" value="en" />
		</p>
		</form>
		</div> <!-- end of search -->

		</div> <!-- end of header -->
<div id="showcase">

<div id="info">

<h2>Mapping the British Isles &amp; Ireland</h2>
<h3>20th April 2006</h3>

<ul class="uk">
<li><a class="ln" href="#nogo">London<em><img src="graphics/london.jpg" alt="View of London" title="View of London" />London has the greatest concentration of major attractions in Britain and boasts four World Heritage Sites.<span></span></em></a></li>
<li><a class="bs" href="#nogo">Bristol<em><img src="graphics/bristol.jpg" alt="View of Bristol" title="View of Bristol" />Bristol is an exciting city, overflowing with intriguing, traditional and occasionally off the wall things to do and see.<span></span></em></a></li>
<li><a class="sw" href="#nogo">Swansea<em><img src="graphics/swansea.jpg" alt="View of Swansea" title="View of Swansea" />Swansea, Wales' City by the Sea and birthplace of Dylan Thomas and Catherine Zeta Jones, is a lively and vibrant maritime city and regional shopping centre.<span></span></em></a></li>
<li><a class="nt" href="#nogo">Nottingham<em><img src="graphics/nottingham.jpg" alt="View of Nottingham" title="View of Nottingham" />Some of the most popular places of interest with visitors are Nottingham Castle Museum and Art Gallery, the historic Lace Market area and the Caves.<span></span></em></a></li>
<li><a class="gl" href="#nogo">Glasgow<em><img src="graphics/glasgow.jpg" alt="View of Glasgow" title="View of Glasgow" />One of Europe's leading cultural capitals, Glasgow has an enviable portfolio of internationally renowned museums and galleries.<span></span></em></a></li>
<li><a class="bf" href="#nogo" style="left: 112px; top: 172px">Belfast<em><img src="graphics/belfast.jpg" alt="View of Belfast" title="View of Belfast" />The capital of Northern Ireland combines fine Victorian architecture, a fascinating industrial heritage and beautiful scenic surroundings.<span></span></em></a></li>
<li><a class="du" href="#nogo">Dublin<em><img src="graphics/dublin.jpg" alt="View of Dublin" title="View of Dublin" />Dublin has become a fashionable and cosmopolitan destination, yet remains one of Europe's more intimate capital cities.<span></span></em></a></li>
</ul>



<div id="adsie">
<script type="text/javascript">
google_ad_client = "pub-6651950180071236";
google_ad_width = 728;
google_ad_height = 90;
google_ad_format = "728x90_as";
google_ad_type = "text_image";
//2007-01-26: Top banner
google_ad_channel ="1786077217";
google_color_border = "FFFFFF";
google_color_bg = "FFFFFF";
google_color_link = "008000";
google_color_url = "008000";
google_color_text = "000000";
</script>
<script type="text/javascript" src="http://pagead2.googlesyndication.com/pagead/show_ads.js"></script>
</div>


</div> <!-- end of info -->
<div id="info_right">
</div>
<br class="clear" />
</div> <!-- end of showcase -->
<div id="content">

<div id="left_column">
<h3>Information</h3>

<p>Back to the simple stuff.</p>
<p>This is a simple method of adding interest to a map of the British Isles &amp; Ireland.</p>
<p>Hover the mouse over the black squares to see a pop-up information box about the particular place of interest. The pop-up box is styled to look as though an arrow is pointing from the place of interest to the photograph and descriptive text.</p>

<p>This works in IE5.5, IE6, IE7, Firefox, Opera etc.</p>
<p>Hacks have been added to make it work in IE5.5 for people browsing using the standalone version. Strictly speaking IE5.5 should have it's own CSS loaded using a conditional comment.</p>

<h3>Cascading Style Sheet</h3>
<p>If you look at the header of this page you will see that the css for this demonstration is embeded in the page.</p>

<h3>THE xhtml</h3>
<p>The xhtml code for the 'mapping the British Isles &amp; Ireland' can be seen in the #info div of the page markup, so just view the source code for this information.</p>
<p>Please note that you will also need a standards compliant !doctype for this demonstration to work correctly.</p>


<h3>Copyright</h3><p>You may use this method on your web site without seeking my permission.<br />A link back to <b class="css">CSS</b><span class="play">play</span> is always appreciated.</p>
<div id="smalladsie">
<script type="text/javascript"><!--
google_ad_client = "pub-6651950180071236";
google_ad_width = 468;
google_ad_height = 60;
google_ad_format = "468x60_as";
google_ad_type = "text_image";
google_ad_channel = "";
google_color_border = "FFFFFF";
google_color_bg = "FFFFFF";
google_color_link = "008000";
google_color_url = "008000";
google_color_text = "000000";
//--></script>
<script type="text/javascript"
  src="http://pagead2.googlesyndication.com/pagead/show_ads.js">
</script>
<br /><br />
<script type="text/javascript"><!--
google_ad_client = "pub-6651950180071236";
google_ad_width = 468;
google_ad_height = 15;
google_ad_format = "468x15_0ads_al_s";
google_ad_channel = "";
google_color_border = "FFFFFF";
google_color_bg = "FFFFFF";
google_color_link = "009900";
google_color_text = "FF9900";
google_color_url = "996633";
//-->
</script>
<script type="text/javascript"
  src="http://pagead2.googlesyndication.com/pagead/show_ads.js">
</script>
</div>

<br />
</div>


<div id="right_column">

<h3>CSS play Sponsors</h3>
<ul class="advertisement">
<li><a href="http://www.completemyspace.com/">Free layouts and more - Myspace</a></li><li><a href="http://thehotfix.net/">The Hotfix forum for windows</a></li><li><a title="&#231;i&#231;ek" href="http://www.umut.biz">&#231;i&#231;ek</a></li><li><a href="http://www.all-phuket.com/">Complete travelguide to Phuket</a></li><li><a href=" http://www.dustworld.net/">UK Game Server Hosting</a></li><li class="spacer"><a href="http://www.hostcolor.com/?refid=0ad4f9e13e81798fea">Host Color</a><br /><span class="text">Web Hosting for 30 Websites</span></li><li class="spacer"><a href="http://www.hostcolorservers.com/">Managed Hosting</a><br /><span class="text">managed Servers at only $169 / month</span></li><li class="spacer"><a href="http://shopfitter.com/">pay as you go e-commerce</a><br /><span class="text">Build your own SEO friendly webshop</span></li><li class="spacer"><a href="http://www.downloadtube.com/">Software Downloads, Dhtml Scripts</a> <span class="text">Dynamic Html, Software Downloads</span></li><li class="spacer"><a href="http://www.handymoves.co.uk/">man and van removals</a><br /><span class="text">Handy Moves</span></li><li class="spacer"><a href="http://www.farmore.co.uk/">Web design Scotland</a><br /><span class="text">Search Engine Optimisation</span></li><li class="spacer"><a href="http://www.ahosting.biz/">web hosting, dedicated servers</a><br /><span class="text">web reseller, managed servers</span></li><li class="spacer"><a href="http://www.dawhb.com/">Daw Web Hosting Blog</a><br /><span class="text">Ideas, Comments, Trends &amp; Events</span></li><li class="spacer"><a href="http://www.best10webhosting.com/">Business Web Hosting</a><br /><span class="text">Hosting, Design, Tutorials, Templates</span></li><li class="spacer"><a href="http://www.adido-solutions.com/">Web design in Dorset</a><br /><span class="text">Bournmouth based web design agency</span></li></ul>
<h3>Site Advertisements</h3>
<ul class="advertisement">
<li><a href="../ads_page">Advertise at <b class="css">CSS</b><span class="play">play</span></a></li>
<li><a href="../favicon_ads">Favicon Ads at <b class="css">CSS</b><span class="play">play</span></a></li>
<li><a href="../banner_ads">Half Banner Ads at <b class="css">CSS</b><span class="play">play</span></a></li>
</ul>

<br /><br /></div> <!-- end of right column -->
</div> <!-- end of content -->

<div id="far_right">

<h3>Sponsors</h3>
<a href="http://www.psd2html.com/order-now.html/"><img src="../ads/psd2html_220.jpg" alt="You Design - We XHTML / CSS. PSD to HTML, PSD to XHTML Service." title="You Design - We XHTML / CSS. PSD to HTML, PSD to XHTML Service." width="220" height="100" /></a><a href="http://www.kickapps.com/?utm_source=cssplay&amp;utm_medium=banner&amp;utm_content=220x100"><img src="../ads/kickapps.gif" alt="Social Media Applications On Demand" title="Social Media Applications On Demand" width="220" height="100" /></a><a href="http://genopal.com/banners/cssplay.htm"><img src="http://genopal.com/banners/cssplay.gif" alt="GenoPal Color Scheme Tool" title="GenoPal Color Scheme Tool" width="220" height="100" /></a><a href="http://www.medialab.com/sitegrinder?gad=CLamwvMGEgg8zVGyI1GRuxji78r-AyDa94US"><img src="../ads/sitegrinder.gif" alt="Sitegrinder" title="Sitegrinder - Photoshop plug-in converts designs to fully valid CSS websites" width="220" height="100" /></a><a href="http://www.dynamicdrive.com/style/"><img src="../ads/dynamicdrive.gif" alt="Free, practical CSS menus, layouts, and examples" title="Free, practical CSS menus, layouts, and examples" width="220" height="100" /></a><br />

<br />
</div>


	<div id="foot">
		<p>&copy; 2005/6/7 Stu Nicholls - All rights reserved</p>
		<ul>
		<li><a href="http://www.icra.org/sitelabel/">ICRA checked site</a></li>
		<li><a href="http://validator.w3.org/check/referer" title="Valid XHTML 1.0 Strict!">xhtml 1.0 Strict</a></li>
		<li><a href="http://jigsaw.w3.org/css-validator/validator?uri=http://www.cssplay.co.uk/menu/mapper.html" title="Valid CSS!">css 1/2/3</a></li>
		</ul>
		</div>
	</div> <!-- end of wrapper -->

<script src="http://www.google-analytics.com/urchin.js" type="text/javascript">
</script>
<script type="text/javascript">
_uacct = "UA-451410-1";
urchinTracker();
</script>
</body>
</html>