﻿<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="Chapter9.aspx.vb" Inherits="SFAnthemAJAXExample.Chapter9" %>

<%@ Register Src="wucSidebar1.ascx" TagName="wucSidebar1" TagPrefix="uc1" %>
<%@ Register Src="wucSidebar2.ascx" TagName="wucSidebar2" TagPrefix="uc2" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head id = "Chapter1" runat="server">
    <meta http-equiv="content-type" content="text/html; charset=utf-8" />
    <title>SF - AJAX Communnity Sample: Introduction</title>
    <meta name="keywords" content="" />
    <meta name="description" content="" />

    <link href="CSS/default.css" rel="stylesheet" type="text/css" media="screen" />
    <link href="CSS/SFAJAX.css" rel="stylesheet" type="text/css" media="screen" />

    <script src="Scripts/SFAJAX.js" type="text/javascript" ></script>

    <script type="text/javascript" language="javascript" >
        function bodyLoad()
        {
        
        }
    </script>
    
</head>
<body onload="bodyLoad()">
    <form id="frmChapter9" runat="server">
        <div id="wrapper">
	                <!-- start menu -->
	                <div id="menu">
		                <ul>
			                <li><a href="Default.aspx">Home</a></li>
			                <li><a href="Contact.aspx">Contact</a></li>
		                </ul>
	                </div>
	                <!-- end menu -->
	                <!-- start header -->
	                <div id="header">
		                <div id="logo">
			                <h1><img src="Images/SFHeader.jpg" alt=""/></h1>
			                <p>with 
			                    <span style="color: #990000">
			                    <strong>AJAX</strong>
			                    <br />
                                </span>
                                <br />
                                <span style="font-size: 0.65em">
                                A free sample by Charles T. Blankenship & Anthony Somma
                                </span>
                            </p>
		                </div>
	                </div>
	                <!-- end header -->
	                <!-- start page -->
	                <div id="page">
		                <div id="bgtop"></div>
		                <div id="bgbottom">
			                <!-- start content -->
			                <div id="content" style="width: 695px">
				                <div class="post">
					                <div class="bigpix">
						                <div class="image"><img src="Images/FireFlies.png" alt="" height="250" style="width: 696px" /></div>
						                <p class="caption">
                                            How do I create a rating system like Amazon.com?</p>
					                </div>
					                <h1 class="title"><a href="#">Chapter 9: An AJAX Rating System</a></h1>
					                <div class="entry">
						                <strong>Bouncing along on the web looking for more examples finally let me to
                                            <asp:HyperLink ID="hlkTheCodeProject" runat="server" NavigateUrl="http://www.codeproject.com"
                                                Target="_blank">The Code Project</asp:HyperLink>
                                            and an article by
                                            <asp:HyperLink ID="hlkQuartz" runat="server" NavigateUrl="http://www.codeproject.com/script/Articles/list_articles.asp?userid=81898"
                                                Target="_blank">Quartz</asp:HyperLink>
                                            entitled
                                            <asp:HyperLink ID="hlkTCPRatingDemystified" runat="server" NavigateUrl="http://www.codeproject.com/useritems/RatingDemystifiedAjaxWay.asp"
                                                Target="_blank">Rating Demystified: Ajax Way, Amazon Way</asp:HyperLink>
                                            and I thought it fit in well with the NetFlix theme of this tutorial project.&nbsp;
                                            So, here is that article, translated into VB, Anthem and StrataFrame.<br />
                                            <br />
                                        </strong>
                                        
                                        <h2>Illustration</h2>
                                        
					                </div>
                					
				                </div>
				                
			                </div>
			                <!-- end content -->
			                <!-- start sidebar one -->
			                <!-- end sidebar one -->
			                <!-- start sidebar two -->
			                <uc2:wucSidebar2 ID="WucSidebar2_1" runat="server" />
			                <!-- end sidebar two -->
			                <div style="clear: both;">&nbsp;</div>
		                </div>
	                </div>
	                <!-- end page -->
	                <hr />
	                <!-- start footer -->
	                <div id="footer">
	                </div>
	                <!-- end footer -->
                </div>
    </form>
</body>
</html>
