Imports System.Web.Configuration
Imports BOLibrary

Public Class ApplicationBasePage
    Inherits MicroFour.StrataFrame.UI.Web.BasePage
    Implements MicroFour.StrataFrame.Tools.ITypeResolver

#Region " Business Object Declarations "

    ' Business Objects defined within this class will be available in the control builders as bindable business objects.
    ' They will also be persisted within session variables and retrieved each time the page loads.
    ' If the business object is defined WithEvents, events can be handled without the need for AddHandler calls.

    Public WithEvents oCustomers As Customers
    Public WithEvents oCustomerNotes As CustomerNotes
    Public WithEvents oCustomerCreditCards As CustomerCreditCards
    Public WithEvents oOrderItems As OrderItems
    Public WithEvents oOrders As Orders
    Public WithEvents oProducts As Products
    Public WithEvents oNetFlix As NetFlix
    Public WithEvents oYahooWrapper As New YahooWrapper

#End Region

#Region " ITypeResolver Implementation Methods "

    ''' <summary>
    ''' Must be used by the StrataFrame Application Framework to resolve a type within this ASP.NET project
    ''' due to the fact that the Entry Assembly cannot be evaluated in an ASP.NET application
    ''' </summary>
    ''' <param name="TypeName"></param>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Function ResolveType(ByVal TypeName As String) As System.Type Implements MicroFour.StrataFrame.Tools.ITypeResolver.ResolveType
        Return Type.GetType(TypeName, False, True)
    End Function

    Public Function GetCompilationSection() As System.Web.Configuration.CompilationSection Implements MicroFour.StrataFrame.Tools.ITypeResolver.GetCompilationSection
        Return WebConfigurationManager.GetSection("system.web/compilation")
    End Function

#End Region

End Class