﻿<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="Default.aspx.vb" Inherits="SFAnthemAJAXExample._Default1" %>

<%@ Register Src="wucSidebar1.ascx" TagName="wucSidebar1" TagPrefix="uc1" %>
<%@ Register Src="wucSidebar2.ascx" TagName="wucSidebar2" TagPrefix="uc2" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Default" runat="server">
    <meta http-equiv="content-type" content="text/html; charset=utf-8" />
    <title>SF - AJAX Communnity Sample</title>
    <meta name="keywords" content="" />
    <meta name="description" content="" />
    <link href="CSS/default.css" rel="stylesheet" type="text/css" media="screen" />
    <link href="CSS/SFAJAX.css" rel="stylesheet" type="text/css" media="screen" />
    <script src="Scripts/SFAJAX.js" type="text/javascript" ></script>
    
</head>
<body>
    <form id="frmDefault" runat="server">
        <div id="wrapper">
	        <!-- start menu -->
	        <div id="menu">
		        <ul>
			        <li class="current_page_item"><a href="Default.aspx">Home</a></li>
			        <li><a href="Contact.aspx">Contact</a></li>
		        </ul>
	        </div>
	        <!-- end menu -->
	        <!-- start header -->
	        <div id="header">
		        <div id="logo">
			        <h1><img src="Images/SFHeader.jpg" alt=""/></h1>
			        <p>with 
			            <span style="color: #990000">
			            <strong>AJAX</strong>
			            <br />
                        </span>
                        <br />
                        <span style="font-size: 0.65em">
                        A free sample by Charles T. Blankenship & Anthony Somma
                        </span>
                    </p>
		        </div>
	        </div>
	        <!-- end header -->
	        <!-- start page -->
	        <div id="page">
		        <div id="bgtop"></div>
		        <div id="bgbottom">
			        <!-- start content -->
			        <div id="content">
				        <div class="post">
					        <div class="bigpix">
						        <div class="image"><img src="Images/FireFliesSmall.png" alt="" width="430" height="250" /></div>
						        <p class="caption">
                                    Putting pretty little lights of knowlege on a dimly lit path.</p>
					        </div>
					        <h1 class="title"><a href="#">About</a> this Sample</h1>
					        <p class="byline"><small>Created november 16th, 2007 for the SF community</small></p>
					        <div class="entry">
						        <p><strong>As a person well versed in Client - Server processing in the Windows platform
                                    (Visual FoxPro specifically using SQL Server as a backend) I was an incredibly frustrated
                                    individual when it came to Web Development in general.&nbsp; Then I found Trent,
                                    Micro4 and StrataFrame and my quest for a Codebook-esque software development framework
                                    for the .NET platform was over.&nbsp; Imagine my astonishment when I found out that
                                    the classes that I developed for the middle tier worked equally well in both environments,
                                    WinForms and WebForms.&nbsp; I have arrived at the promised land ... Codebook for
                                    .NET WITH excellent technical support.&nbsp;</strong></p>
						        <h2>
                                    the purpose</h2>
                                <p>
                                    Every example included in this project is designed to be illustrative of a real
                                    world programming problem and the solution to it using StrataFrame, Anthem, AJAX
                                    and other technologies as they emerge.&nbsp; As I have time, I'll also include best
                                    practices for straight StrataFrame web development as well, for example, how to
                                    create a Create, Read, Update, Delete form for single table maintenance as well
                                    as one to many relationships, not to mention examples on how best to implement and
                                    use StrataFrame security.&nbsp; Also, I've almost completed the web interface to
                                    the StrataFrame Security module (which does not ship with StrataFrame itself.&nbsp;
                                    Basically, no trivial stuff will ever be allowed in this project.&nbsp;
                                </p>
                                <h2>
                                    the future</h2>
						        <p>
                                    As I scour the WWW and read books about web development and discover new and wonderous
                                    things like JavaScript, AJAX and SilverLight, I'll extract that information, figure
                                    out how to integrate it with SF and continuously update this example site over time.&nbsp;
                                    It is my hope that you will do so as well, and as a community, create on of the
                                    best tutorials available for SF in the WebForms and ASP.NET development environment.</p>
                                <p>
                                    When I incorporate another author's work into this project I will always give proper
                                    attribution and links to the original source material.&nbsp; This is not only polite
                                    but it will also prevent any accusations of plagarism.&nbsp; If you ever have an
                                    article that is submitted for inclusion in this project for the StrataFrame community
                                    you <strong>must</strong> follow this rule as well, no exceptions.</p>
						        <h3>
                                    A Confession
                                </h3>
                                <br />
						        <p>I consider the StrataFrame product essentially free.&nbsp; The annual money that
                                    I pay to Micro4 is solely for the highest quality technical support available for
                                    a product on the web today.&nbsp; I cannot tell you how many times Trent, Ben and
                                    Steve pulled my hat from the fire with their thoughtful, caring and highly personal
                                    attention.&nbsp; This sample is a mere token of my appreciation for the excellent
                                    customer care you have given to me over the last two years.</p>
					        </div>
					        <!-- 
					        <p class="tags"><strong>Tags:</strong> <a href="#">dolor</a> <a href="#">ipsum</a> <a href="#">lorem</a> <a href="#">sit amet</a> <a href="#">dolor</a> <a href="#">ipsum</a> <a href="#">lorem</a> <a href="#">sit amet</a></p>
					        <p class="links"><a href="#" class="comments">Comments (33)</a> &nbsp;&nbsp;&nbsp; <a href="#" class="permalink">Permalink</a></p>
					        -->
        					
				        </div>
			        </div>
			        <!-- end content -->
			        <!-- start sidebar one -->
                        <uc1:wucSidebar1 ID="WucSidebar1_1" runat="server" />
			        <!-- end sidebar one -->
			        <!-- start sidebar two -->
			        <uc2:wucSidebar2 ID="WucSidebar2_1" runat="server" />
			        <div style="clear: both;">&nbsp;</div>			                
			        <!-- end sidebar two -->
			       
		        </div>
	        </div>
	        <!-- end page -->
	        <hr />
	        <!-- start footer -->
	        <div id="footer">
	        </div>
	        <!-- end footer -->
        </div>
    </form>
</body>
</html>
