Imports System.Web.SessionState
Imports MicroFour.StrataFrame.Data

Public Class Global_asax
    Inherits System.Web.HttpApplication

    Sub Application_Start(ByVal sender As Object, ByVal e As EventArgs)
        ' Code that runs on application startup
        ' ToDo:  1) Manually set the DataSourceItems on the DataSources collection below.

        '  -- You can set as many data sources as necessary.  The business objects use the data source specified
        '     by their DataSourceKey property (defaults to "").
        '------------------------------------
        '  Setting the data sources manually
        '------------------------------------
        '-- SQL Server
        DataLayer.DataSources.Add(New SqlDataSourceItem("", "server=localhost;integrated security=SSPI;database=StrataFrameSample"))

        '-- Oracle
        'DataLayer.DataSources.Add(New OracleDataSourceItem("", "myconnectionstring"))

        '-- Microsoft Access
        'DataLayer.DataSources.Add(New AccessDataSourceItem("", "myconnectionstring"))

        '-- Visual Fox Pro
        'DataLayer.DataSources.Add(New VfpDataSourceItem("", "myconnectionstring"))


        '-- Set the localization information for the website
        MicroFour.StrataFrame.UI.Localization.MessageDataSourceKey = ""
        MicroFour.StrataFrame.UI.Localization.MessageLocaleID = 1033
        MicroFour.StrataFrame.UI.Localization.MessageKeyType = MicroFour.StrataFrame.Messaging.MessageKeyDataType.SqlServer
    End Sub

    Sub Application_End(ByVal sender As Object, ByVal e As EventArgs)
        ' Code that runs on application shutdown
    End Sub

    Sub Application_Error(ByVal sender As Object, ByVal e As EventArgs)
        ' Code that runs when an unhandled error occurs
    End Sub

    Sub Session_Start(ByVal sender As Object, ByVal e As EventArgs)
        ' Code that runs when a new session is started
    End Sub

    Sub Session_End(ByVal sender As Object, ByVal e As EventArgs)
        ' Code that runs when a session ends. 
        ' Note: The Session_End event is raised only when the sessionstate mode
        ' is set to InProc in the Web.config file. If session mode is set to StateServer 
        ' or SQLServer, the event is not raised.
    End Sub

End Class