﻿<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="Introduction.aspx.vb" Inherits="SFAnthemAJAXExample.Introduction" %>

<%@ Register Src="wucSidebar1.ascx" TagName="wucSidebar1" TagPrefix="uc1" %>
<%@ Register Src="wucSidebar2.ascx" TagName="wucSidebar2" TagPrefix="uc2" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <meta http-equiv="content-type" content="text/html; charset=utf-8" />
    <title>SF - AJAX Communnity Sample: Introduction</title>
    <meta name="keywords" content="" />
    <meta name="description" content="" />
    <link href="CSS/default.css" rel="stylesheet" type="text/css" media="screen" />
    <link href="CSS/SFAJAX.css" rel="stylesheet" type="text/css" media="screen" />
    <script src="Scripts/SFAJAX.js" type="text/javascript" ></script>
</head>
<body>
    <form id="frmIntroduction" runat="server">
<div id="wrapper">
	        <!-- start menu -->
	        <div id="menu">
		        <ul>
	                <li><a href="Default.aspx">Home</a></li>
	                <li><a href="Contact.aspx">Contact</a></li>
		        </ul>
	        </div>
	        <!-- end menu -->
	        <!-- start header -->
	        <div id="header">
		        <div id="logo">
	                <h1><img src="Images/SFHeader.jpg" alt=""/></h1>
	                <p>with 
	                    <span style="color: #990000">
	                    <strong>AJAX</strong>
	                    <br />
                        </span>
                        <br />
                        <span style="font-size: 0.65em">
                        A free sample by Charles T. Blankenship & Anthony Somma
                        </span>
                    </p>
		        </div>
	        </div>
	        <!-- end header -->
	        <!-- start page -->
	        <div id="page">
		        <div id="bgtop"></div>
		        <div id="bgbottom">
			        <!-- start content -->
			        <div id="content" style="width: 695px">
				        <div class="post">
					        <div class="bigpix">
						        <div class="image"><img src="Images/FireFlies.png" alt="" height="250" style="width: 696px" /></div>
						        <p class="caption">
                                    What do I need to make this sample application work?</p>
					        </div>
					        <h1 class="title"><a href="#">Introduction</a></h1>
					        <div class="entry">
						        <strong>You need a few things, besides the obvious ingredient, StrataFrame 1.6.1, to
                                    work appropriately with this sample application.&nbsp; The following is a description
                                    of all the ingredients for success and where to get them.&nbsp;<br />
                                    <br />
                                </strong>
                                
                                <h2>first some design notes</h2>
                                <p>
                                In the interest of speed, the overall design of this site was created using the tried and true 
                                copy and paste method.  You will probably not want to follow this design aspect of this site 
                                in your own projects.  You'd be better served using master pages and the like.  However, in the interest of time I made several choices of this nature.  You <em>should</em> look at the design of 
                                the individual examples however as I tried to focus on proper best practices there including the use of CSS, external
                                    JavaScript files and proper OO design.
                                </p>
						        
						        <h2>
                                    the book that made it all happen</h2>
						        <p>
                                    Go immediately to Amazon and purchase the following book:</p>
                                <p style="text-align: center">
                                    <asp:HyperLink ID="hlkBookToBuy" runat="server" NavigateUrl="http://www.amazon.com/Pro-Ajax-NET-2-0-Platform/dp/1590596706/ref=pd_bbs_sr_1?ie=UTF8&s=books&qid=1195233168&sr=1-1"
                                        Target="_blank"> Pro Ajax and the .NET 2.0 Platform (ISBN 1-59059-670-6)</asp:HyperLink>&nbsp;
                                </p>
                                <p>
                                    Currently, you can buy it new for $32.99 or used from $22.67.&nbsp; Many of the
                                    examples in this project were adapted from Daniel Woolston's book. I have modified
                                    them where appropriate to integrate them with StrataFrame (changing the code from
                                    C# to VB is an example).&nbsp; Notice that as of November 16th, 2007 there are 8
                                    reviews and the book got a 5 star approval rating.&nbsp; There is a reason for that,
                                    it is excellent.</p>
                                
                                    <h2>anthem.net</h2>
                                <p style="text-align: center">
                                    <asp:HyperLink ID="hlkAnthem" runat="server" NavigateUrl="http://anthemdotnet.com/"
                                        Target="_blank">Anthem.NET (An Ajax Toolkit by Jason Diamond)</asp:HyperLink></p>
                                        
                                <p>
                                    Jason Diamond had the great idea to encapsulate all the hard grunt work of making a regular Web Form control use AJAX and package it into new Anthem Controls.  These controls behave just like regular Web Form controls, except they have AJAX built into them!</p>
                                <p>
                                    This sounds really cool and it is.&nbsp; However, the primary thing it means to
                                    me when used in conjunction with StrataFrame is that is does away with the additional
                                    .ASPX page that is required for the AJAX call to the server.&nbsp; Using Anthem,
                                    I can now include the SF Methods and the AJAX methods in the same codebehind page.&nbsp;</p>
                                <p>
                                    You can download it
                                    <asp:HyperLink ID="hlkDowloadAnthem" runat="server" NavigateUrl="http://sourceforge.net/project/showfiles.php?group_id=151897"
                                        Target="_blank">here.</asp:HyperLink></p>

                                <h2>
                                    microsoft virtual earTh sdk (6.0)</h2>
                                <p>
                                    I've included this in the Downloads section of this project so as to simplify the
                                    installation for you as well as to ensure no versioning problems occur over the
                                    history of the project.&nbsp; Follow the instructions for installation which are
                                    available
                                    <asp:HyperLink ID="hlkMSVESDK6_0" runat="server" NavigateUrl="http://www.microsoft.com/downloads/details.aspx?familyid=3C598D67-DEEA-45FC-98B5-0B4BA20D04C2&displaylang=en"
                                        Target="_blank">here</asp:HyperLink>.&nbsp; This is also the download site if
                                    you don't want to install the EXE included with this project (downloading from MS
                                    is always the safest anyway).</p>
                                <h2>
                                    browser tools for javascript debugginG in ie</h2>
                                
                                <p style="text-align: center">
                                    <asp:HyperLink ID="hlkIEDeveloperToolbar" runat="server" NavigateUrl="http://www.microsoft.com/downloads/details.aspx?familyid=e59c3964-672d-4511-bb3e-2d5e1db91038&displaylang=en"
                                        Target="_blank">Internet Explorer Developer Toolbar</asp:HyperLink></p>
                                        
                                <p>
                                The Internet Explorer Developer Toolbar provides several features for exploring and understanding Web pages. These features enable you to:
                                </p>
                                <ul>
                                    <li>Explore and modify the document object model (DOM) of a Web page. </li>
                                    <li>Locate and select specific elements on a Web page through a variety of techniques.</li>
                                    <li>Selectively disable Internet Explorer settings. </li>
                                    <li>View HTML object class names, ID's, and details such as link paths, tab index values, and access keys. </li>
                                    <li>Outline tables, table cells, images, or selected tags. </li>
                                    <li>Validate HTML, CSS, WAI, and RSS web feed links. </li>
                                    <li>Display image dimensions, file sizes, path information, and alternate (ALT) text.</li>
                                    <li>Immediately resize the browser window to a new resolution. </li>
                                    <li>Selectively clear the browser cache and saved cookies. </li>
                                    <li>Choose from all objects or those associated with a given domain. </li>
                                    <li>Display a fully featured design ruler to help accurately align and measure objects on your pages. </li>
                                    <li>Find the style rules used to set specific style values on an element. </li>
                                    <li>View the formatted and syntax colored source of HTML and CSS. </li>
                                </ul>
                                <p>
                                The Developer Toolbar can be pinned to the Internet Explorer browser window or floated separately.
                                </p>
                                
                                <h2>ms html, dhtml and css references</h2>
                                
                                <p>
                                It is a painful and sad fact that to use AJAX you must know JavaScript and the browser's Document Object Model (DOM), at least
                                at a basic level.  Microsoft offers some great reference material for these technologies here:
                                </p>
                                
                                <p style="text-align: center">
                                    <asp:HyperLink ID="hlkMSWebDevelopmentHTMLCSS" runat="server" NavigateUrl="http://msdn2.microsoft.com/en-us/library/aa155110.aspx"
                                        Target="_blank">Web Development: HTML and CSS</asp:HyperLink></p>

                                <p>
                                As my pages become more and more complicated, I use this site more and more frequently
                                    to explore the intricacies of the IE DOM.
                                </p>
                                
                                <h2>javascript references</h2> 
                                
                                <p>
                                Finally all important references to the JavaScript language itself.  This project will go a long way to familiarizing you with 
                                the necessary JavaScript; however, as your skills increase (and they will quickly) you will outgrow the JavaScript content
                                on this site and begin to push the language harder and harder.  As you do, you will need additional references.  Here they are:
                                </p>
                                <p style="text-align: center">
                                    <asp:HyperLink ID="hlkSunJavaScriptRef" runat="server" NavigateUrl="http://docs.sun.com/source/816-6408-10/"
                                        Target="_blank">Client-Side JavaScript Reference</asp:HyperLink></p>    
                                        
                                <p style="text-align: center">
                                    <asp:HyperLink ID="hlkW3SchoolsJavaScriptRef" runat="server" NavigateUrl="http://www.w3schools.com/jsref/default.asp"
                                        Target="_blank">W3Schools JavaScriptReference</asp:HyperLink></p> 


                                <h2>a table added to the strataframe sample database</h2> 
                                
                                <p>
                                I have included the modified StrataFrame Sample database within the .ZIP file, however, if you do not wish
                                to install my sample over their original sample, you can create this table manually using the following information:</p>                                                  
                                <p style="text-align: center">
                                    <strong>The Table definition</strong></p>
                                <p style="text-align: center">
                                    <asp:Image ID="imgNetFlixTable" runat="server" ImageUrl="~/Images/NetFlixTableModification.png" />&nbsp;</p>
                                <p style="text-align: center">
                                    <strong>The Alternate Key definition</strong></p>
                                <p style="text-align: center">
                                    <asp:Image ID="imgNetFlixAK" runat="server" ImageUrl="~/Images/NetFlixTableAlternateKey.png" />&nbsp;</p>
                                <p>
                                The table is used to illustrate how AJAX can fetch all of the current releases from NetFlix and store them in a database
                                table using a StrataFrame business object.  The Alternate Key is a unique index on the movie title so that no 
                                duplicates are stored in the table when the information is retrieved from NetFlix's RSS feed.  Notice that I followed the
                                Micro4 naming convention for column names by preceding each with a unique string of letters indicating the table
                                in which the column occurs, in this case "nf_" for NetFlix.
                                </p>
					        </div>
        					
				        </div>
			        </div>
			        <!-- end content -->
			        <!-- start sidebar one -->
			        <!-- end sidebar one -->
			        <!-- start sidebar two -->
			         <uc2:wucSidebar2 ID="WucSidebar2_1" runat="server" />
			        <!-- end sidebar two -->
			        <div style="clear: both;">&nbsp;</div>
			        
		        </div>
	        </div>
	        <!-- end page -->
	        <hr />
	        <!-- start footer -->
	        <div id="footer">
	        </div>
	        <!-- end footer -->
        </div>
    </form>
</body>
</html>
