﻿

function getIntroductionPage()
{
return 'Introduction.aspx'
}

function getChapterTitle(titleNumber)
{

    switch(titleNumber)
    {
        case "0":                            
            return 'What you need to get started!' ;
            break;                
        case "1":                            
            return 'onmouseover() HTML Popups' ;
            break;
        case "2":
            return 'HTML Popups driven by AJAX';
            break;
        case "3":
            return 'A JavaScript "Hello Anthem!" Example';
            break;
        case "4":
            return 'Google Suggest Example';
            break;
        case "5":
            return 'An RSS, SF and AJAX Example';
            break;
        case "6":
            return 'A Google Maps Example';
            break;
        case "7":
            return 'A Microsoft VE Example';
            break;                  
        case "8":
            return 'A basic Create, Read, <br /> Update and Delete Example';
            break;
        case "9":
            return 'An AJAX Rating System';
            break;
        case "10":
            return 'Chapter 10 is unplanned';
            break;
        default:
            return titleNumber + ' is an undefined Chapter' ;
            break;
              
    }             
}

     
function SubmitAsync(CurrentURL, Receiver, FollowOn)
{

    var XMLHttpRequestObject=false;
    
    try
    {
        XMLHttpRequestObject = new ActiveXObject("Msxml2.XMLHTTP");
    }
    catch(e)
    {
        try
        {
            XMLHttpRequestObject = new ActiveXObject("Microsoft.XMLHTTP");
        }
        catch(E)
        {
            XMLHttpRequestObject = false;
        }
    }
    
    if(!XMLHttpRequestObject && typeof XmlHttpRequest!= 'undefined')
    {
        XMLHttpRequestObject = new XmlHttpRequest();
    }

    if(XMLHttpRequestObject)
    {
        XMLHttpRequestObject.open("GET", CurrentURL);
        XMLHttpRequestObject.onreadystatechange = function()
        {
            if(XMLHttpRequestObject.readyState == 4)
            {
                if(XMLHttpRequestObject.status == 200)
                {
                    Receiver.innerHTML = XMLHttpRequestObject.responseText;
                    delete XMLHttpRequestObject;
                    XMLHttpRequestObject = null;
                    setTimeout(FollowOn,1);
                }
            }
        }
        XMLHttpRequestObject.send(null);
    }
}

/*
-----------------------------------------------------------------------------------
Basic tooltip functionality when all you want to do is display a simple text string
See Chapter 1.
-----------------------------------------------------------------------------------
*/
function tooltip(tip)
{
    if(!document.getElementById('tooltip')) newelement('tooltip');
    var tooltip = document.getElementById('tooltip');
    tooltip.innerHTML = tip;
    tooltip.style.display = 'block';
    document.onmousemove = getmouseposition;
}

/*
-----------------------------------------------------------------------------------
More advanced tooltip functionality when you need to display data in a tooltip 
that is populated by data retrieved from an AJAX call to the backend.
See Chapter 2.
-----------------------------------------------------------------------------------
*/

function ajaxToolTip(url)
{
    if(!document.getElementById('tooltip')) newelement('tooltip');
    var tooltip = document.getElementById('tooltip');
    SubmitAsync(url,tooltip,"ajaxToolTipPopulate()");
}

function ajaxToolTipPopulate()
{
    var tooltip = document.getElementById('tooltip');
    tooltip.style.display = 'block';
    document.onmousemove = getmouseposition;
}

var offsetx = 12;
var offsety =  8;

function newelement(newid)
{ 
    if(document.createElement)
    { 
        var el = document.createElement('div'); 
        el.id = newid;     
        with(el.style)
        { 
            display = 'none';
            position = 'absolute';
        } 
        el.innerHTML = '&nbsp;'; 
        document.body.appendChild(el); 
    } 
} 

var ie5 = (document.getElementById && document.all); 
var ns6 = (document.getElementById && !document.all); 
var ua = navigator.userAgent.toLowerCase();
var isapple = (ua.indexOf('applewebkit') != -1 ? 1 : 0);

function getmouseposition(e)
{
    if(document.getElementById)
    {
        var iebody=(document.compatMode && 
	        document.compatMode != 'BackCompat') ? 
		        document.documentElement : document.body;
        pagex = (isapple == 1 ? 0:(ie5)?iebody.scrollLeft:window.pageXOffset);
        pagey = (isapple == 1 ? 0:(ie5)?iebody.scrollTop:window.pageYOffset);
        mousex = (ie5)?event.x:(ns6)?clientX = e.clientX:false;
        mousey = (ie5)?event.y:(ns6)?clientY = e.clientY:false;

        var tooltip = document.getElementById('tooltip');
        tooltip.style.left = (mousex+pagex+offsetx) + 'px';
        tooltip.style.top = (mousey+pagey+offsety) + 'px';
    }
}
    
function exit()
{
    document.getElementById('tooltip').style.display = 'none';
}
        
/*
-----------------------------------------------------------------
Some generic functions to show and hide controls in the web form.
-----------------------------------------------------------------
*/
function ShowControl(controlID)
{
    if (document.layers) 
       document.layers[controlid].visibility="show";
    else 
       document.getElementById(controlID).style.visibility="visible";
}

function HideControl(controlID)
{
    if (document.layers) 
       document.layers[controlid].visibility="hide";
    else 
       document.getElementById(controlID).style.visibility="hidden";
}

function ClearResults(divName)
{
    var resultsdiv = document.getElementById(divName);
    var counter = resultsdiv.childNodes.length;
    for (var i = counter -1; i >= 0; i--)
    {
        resultsdiv.removeChild(resultsdiv.childNodes[i]);
    }
}        

function StarMouseOut(id)
{
    starTwinkler[id] = window.setTimeout("SwapStars('"+id+"')", delayTime);
    msgTwinkler[id] = window.setTimeout("SwapStarMsg('"+id+"')", delayTime);
}
function DisplayStars (id, rating)
{
    var starID = "stars." + id;
    starTwinkler[id] = 0;
    msgTwinkler[id] = 0;
    document.write("<map name='starmap" + id +"'>");
    var i = 0;
    for (i = 1; i < 6; i++) {
    document.write("<area shape=rect " + 
    "coords='" + starMap[i] + "' " +
    "onMouseOver=\"StarMouseOver('" + id + "'," + i + ");\" " +
    "onMouseOut=\"StarMouseOut('" + id + "');\" " +
    "onClick=\"SaveStars('" + id + "'," + i + ");" +
    "\" >");
    }
    document.write("</map>");
    document.write("<img vspace=2 title = 'Rate Picture' src='" + starImages[rating] + "'");
    document.write(" border=0 usemap='#starmap" + id);
    document.write("' id='" + starID + "'>");
}



